#{extends 'border.html'/}
<div class="container">

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{cms.KategoriKontenCtr.index()}">&{'kategori_konten.label'}</a></li>
                <li class="active">&{'daftar.label'} &{'kategori_utama.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <!-- Toolbar -->
            <div class="toolbar">
                #{backButton action:@cms.KategoriKontenCtr.index()/}
                <a href="@{createKategoriUtama()}" class="btn btn-primary btn-md"><i class="fa fa-plus"></i> &{'tambah.label'} &{'kategori_utama.label'}</a>
            </div>
            <!-- End Toolbar -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
        #{alert /}
            <div class="panel panel-default">
                <div class="panel-body" style="overflow-x: auto">
                    <!-- Data Table -->
                    <table class="table table-striped" id="tbl_kategori_utama">
                        <thead>
                        <tr>
                            <th>&{'nomor.label'}</th>
                            <th>&{'id.label'} &{'kategori_utama.label'}</th>
                            <th>&{'nama_kategori_utama.label'}</th>
                            <th>&{'deskripsi.label'}</th>
                            <th>&{'aktif.label'}</th>
                        </tr>
                        </thead>
                    </table>
                    <!-- End Data Table -->
                </div>
            </div>
        </div>
    </div>
</div>

#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function($) {
        $("#tbl_kategori_utama").dataTable({
            ajax: {
                url:"@{DataTableCtr.cariKategoriUtama()}",
                cache: true},
            order: [[ 0, "asc" ]],
            columns: [
                {"searchable": false, "className": "header-center",
                    render: function(data, type, row, meta) {
                        return meta.row + meta.settings._iDisplayStart + 1 + ".";
                    } },
                {"searchable": true, "className": "header-center"},
                {"searchable": true},
                {"searchable": false},
                {"searchable": false, "className": "header-center"}
            ]
        });
    });
</script>
#{/set}